module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(6);


/***/ }),
/* 1 */,
/* 2 */,
/* 3 */
/***/ (function(module, exports) {

	/* globals __VUE_SSR_CONTEXT__ */

	// this module is a runtime utility for cleaner component module output and will
	// be included in the final webpack user bundle

	module.exports = function normalizeComponent (
	  rawScriptExports,
	  compiledTemplate,
	  injectStyles,
	  scopeId,
	  moduleIdentifier /* server only */
	) {
	  var esModule
	  var scriptExports = rawScriptExports = rawScriptExports || {}

	  // ES6 modules interop
	  var type = typeof rawScriptExports.default
	  if (type === 'object' || type === 'function') {
	    esModule = rawScriptExports
	    scriptExports = rawScriptExports.default
	  }

	  // Vue.extend constructor export interop
	  var options = typeof scriptExports === 'function'
	    ? scriptExports.options
	    : scriptExports

	  // render functions
	  if (compiledTemplate) {
	    options.render = compiledTemplate.render
	    options.staticRenderFns = compiledTemplate.staticRenderFns
	  }

	  // scopedId
	  if (scopeId) {
	    options._scopeId = scopeId
	  }

	  var hook
	  if (moduleIdentifier) { // server build
	    hook = function (context) {
	      // 2.3 injection
	      context =
	        context || // cached call
	        (this.$vnode && this.$vnode.ssrContext) || // stateful
	        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
	      // 2.2 with runInNewContext: true
	      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
	        context = __VUE_SSR_CONTEXT__
	      }
	      // inject component styles
	      if (injectStyles) {
	        injectStyles.call(this, context)
	      }
	      // register component module identifier for async chunk inferrence
	      if (context && context._registeredComponents) {
	        context._registeredComponents.add(moduleIdentifier)
	      }
	    }
	    // used by ssr in case component is cached and beforeCreate
	    // never gets called
	    options._ssrRegister = hook
	  } else if (injectStyles) {
	    hook = injectStyles
	  }

	  if (hook) {
	    var functional = options.functional
	    var existing = functional
	      ? options.render
	      : options.beforeCreate
	    if (!functional) {
	      // inject component registration as beforeCreate hook
	      options.beforeCreate = existing
	        ? [].concat(existing, hook)
	        : [hook]
	    } else {
	      // register for functioal component in vue file
	      options.render = function renderWithStyleInjection (h, context) {
	        hook.call(context)
	        return existing(h, context)
	      }
	    }
	  }

	  return {
	    esModule: esModule,
	    exports: scriptExports,
	    options: options
	  }
	}


/***/ }),
/* 4 */,
/* 5 */,
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	var _autocomplete = __webpack_require__(7);

	var _autocomplete2 = _interopRequireDefault(_autocomplete);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	/* istanbul ignore next */
	_autocomplete2.default.install = function (Vue) {
	  Vue.component(_autocomplete2.default.name, _autocomplete2.default);
	};

	exports.default = _autocomplete2.default;

/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(8),
	  /* template */
	  __webpack_require__(20),
	  /* styles */
	  null,
	  /* scopeId */
	  null,
	  /* moduleIdentifier (server only) */
	  null
	)

	module.exports = Component.exports


/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	var _input = __webpack_require__(9);

	var _input2 = _interopRequireDefault(_input);

	var _clickoutside = __webpack_require__(10);

	var _clickoutside2 = _interopRequireDefault(_clickoutside);

	var _autocompleteSuggestions = __webpack_require__(11);

	var _autocompleteSuggestions2 = _interopRequireDefault(_autocompleteSuggestions);

	var _emitter = __webpack_require__(14);

	var _emitter2 = _interopRequireDefault(_emitter);

	var _debounce = __webpack_require__(19);

	var _debounce2 = _interopRequireDefault(_debounce);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	exports.default = {
	  name: 'ElAutocomplete',

	  mixins: [_emitter2.default],

	  componentName: 'ElAutocomplete',

	  components: {
	    ElInput: _input2.default,
	    ElAutocompleteSuggestions: _autocompleteSuggestions2.default
	  },

	  directives: { Clickoutside: _clickoutside2.default },

	  props: {
	    props: {
	      type: Object,
	      default: function _default() {
	        return {
	          label: 'NAME',
	          value: 'CODE',
	          displayCode: 'DISPLAYCODE'
	        };
	      }
	    },
	    filterFieldList: {
	      type: Array,
	      default: function _default() {
	        return [this.props.label, this.props.displayCode, 'MEMCODE1', 'MEMCODE2'];
	      }
	    },
	    popperClass: String,
	    placeholder: String,
	    disabled: Boolean,
	    name: String,
	    size: String,
	    value: [String, Number],
	    autofocus: Boolean,
	    fetchSuggestions: Function,
	    itemList: Array, // 新增，用于接收传递过来的数据
	    strict: { // 新增严格模式，严格模式下，输入框未enter或鼠标选中选项，光标离开，清空输入框
	      type: Boolean,
	      default: true
	    },
	    showAllList: {
	      type: Boolean,
	      default: true
	    },
	    triggerOnFocus: {
	      type: Boolean,
	      default: true
	    },
	    customItem: String,
	    icon: String,
	    onIconClick: Function,
	    selectWhenUnmatched: {
	      type: Boolean,
	      default: false
	    },
	    //未匹配到的时候把lablevalue值显示出来，如果lablevalue为空，则显示key
	    unmatchedShowLableValue: {
	      type: Boolean,
	      default: false
	    },
	    lablevalue: String,
	    // 括号显示 code 值
	    codeShow: {
	      type: Boolean,
	      default: false
	    }
	  },
	  data: function data() {
	    return {
	      //显示的内容值
	      showValue: '',
	      activated: false,
	      isOnComposition: false,
	      suggestions: [],
	      loading: false,
	      highlightedIndex: -1,
	      flag: true, // 新增，用于标记，当光标再次进入输入框时，第一次的enter信息，不做搜索，展示全部信息。
	      strictFalseEmit: false // 非严格模式 emit 限制
	    };
	  },

	  computed: {
	    suggestionVisible: function suggestionVisible() {
	      var suggestions = this.suggestions;
	      var isValidData = Array.isArray(suggestions) && suggestions.length > 0;
	      return (isValidData || this.loading) && this.activated;
	    }
	  },
	  watch: {
	    suggestionVisible: function suggestionVisible(val) {
	      this.broadcast('ElAutocompleteSuggestions', 'visible', [val, this.$refs.input.$refs.input.offsetWidth]);
	    },
	    itemList: function itemList() {
	      if (this.itemList.length === 0) {
	        return false;
	      }
	      this.setInitValue();
	    },
	    value: function value(newVal) {
	      var _this = this;

	      this.$nextTick(function () {
	        _this.setInitValue(true);
	        //如果绑定的值清空了，则也清空
	        if (_this.value == null || _this.value == undefined || _this.value === '') {
	          _this.showValue = '';
	        }
	      });
	    }
	  },
	  created: function created() {
	    var _this2 = this;

	    this.$nextTick(function () {
	      _this2.setInitValue();
	    });
	    this.debounceHandleChange = (0, _debounce2.default)(100, function (value) {
	      return _this2.handleChange(value);
	    });
	  },

	  methods: {
	    // getData(queryString) {
	    //   this.loading = true;
	    //   this.fetchSuggestions(queryString, (suggestions) => {
	    //     this.loading = false;
	    //     if (Array.isArray(suggestions)) {
	    //       this.suggestions = suggestions;
	    //     } else {
	    //       console.error('autocomplete suggestions must be an array');
	    //     }
	    //   });
	    // },
	    setInitValue: function setInitValue(change) {
	      // console.log(this.getCode)
	      if (this.strict) {
	        var findMatch = false;
	        if (this.itemList && this.itemList.length > 0) {
	          for (var i = 0; i < this.itemList.length; i++) {
	            //找到进行匹配
	            if (this.value !== null && this.value !== undefined && this.value + '' == this.itemList[i][this.props.value] + '') {
	              this.showValue = this.itemList[i][this.props.label];
	              if (this.codeShow) {
	                this.showValue = this.showValue + '(' + this.itemList[i][this.props.displayCode] + ')';
	              }
	              findMatch = true;
	              break;
	            }
	          }
	          //找不到置空
	          if (!findMatch) {
	            this.showValue = "";
	          }
	        }

	        if (this.unmatchedShowLableValue && !findMatch) {
	          this.showValue = this.lablevalue || this.value;
	        }
	      } else {

	        if (this.itemList && this.itemList.length > 0) {
	          for (var j = 0; j < this.itemList.length; j++) {
	            if (this.value !== null && this.value !== undefined && this.value + '' == this.itemList[j][this.props.label] + '') {
	              this.showValue = this.itemList[j][this.props.label];
	              if (this.codeShow && !this.activated) {
	                this.showValue = this.showValue + '(' + this.itemList[j][this.props.displayCode] + ')';
	              }
	              return false;
	            }
	          }
	        }
	        //非严格模式下，将当前值进行展示
	        this.showValue = this.value;
	        if (change) {
	          var item = {};
	          item[this.props.label] = this.value;
	          item[this.props.value] = this.value;
	          item.input = true;
	          if (!this.strictFalseEmit) {
	            this.$emit('select', item);
	          }
	          this.strictFalseEmit = false;
	        }
	      }
	    },
	    getData: function getData(queryString) {
	      var restaurants = this.itemList;
	      var results = restaurants;
	      this.highlightedIndex = -1;
	      if (!queryString || queryString == "") {} else {
	        results = restaurants.filter(this.createFilter(queryString));
	      }

	      if (this.showAllList) {
	        this.flag ? this.suggestions = results : this.suggestions = restaurants;
	      } else {
	        this.suggestions = results;
	      }
	      if (this.suggestions.length > 0) {
	        this.activated = true;
	        //有过滤条件时才去定位第一个，
	        if (queryString && (queryString + "").trim() != "" && this.highlightedIndex < 0) {

	          this.highlightedIndex = 0;
	        }
	      }
	    },
	    createFilter: function createFilter(queryString) {
	      var _this3 = this;

	      var temp = queryString.toString().toLowerCase();
	      return function (restaurant) {
	        // 如果ID被显示出来，那么过滤的时候也要加入过滤中
	        var filterFieldList = _this3.filterFieldList.concat();
	        if (_this3.props.showId == true) {
	          filterFieldList.push(_this3.props.value);
	        }

	        var meetd = filterFieldList.some(function (key) {
	          var value = restaurant[key];
	          if (value) {
	            return String(value).toLowerCase().indexOf(temp) > -1;
	          } else {
	            return false;
	          }
	        });
	        return meetd;
	        //   return (((restaurant.MEMCODE1 === undefined || restaurant.MEMCODE1 === null ? '' : restaurant.MEMCODE1) + '').toLowerCase().indexOf(temp) >= 0) ||
	        //   (((restaurant.NAME === undefined || restaurant.NAME === null ? '' : restaurant.NAME) + '').toLowerCase().indexOf(temp) >= 0) ||
	        //   (((restaurant.CODE === undefined || restaurant.CODE === null ? '' : restaurant.CODE) + '').toLowerCase().indexOf(temp) >= 0) ||
	        //   (((restaurant.DISPLAYCODE === undefined || restaurant.DISPLAYCODE === null ? '' : restaurant.DISPLAYCODE) + '').toLowerCase().indexOf(temp) >= 0) ||
	        //   (((restaurant.MEMCODE2 === undefined || restaurant.MEMCODE2 === null ? '' : restaurant.MEMCODE2) + '').toLowerCase().indexOf(temp) >= 0);
	      };
	    },
	    handleComposition: function handleComposition(event) {
	      if (event.type === 'compositionend') {
	        this.isOnComposition = false;
	        this.handleChange(event.target.value);
	      } else {
	        this.isOnComposition = true;
	      }
	    },
	    handleChange: function handleChange(value) {
	      if (this.isOnComposition) {
	        return;
	      }
	      // let _value = String(value).replace(/(\^|\(|\)|\[|\]|\$|\*|\+|\.|\?|\\|\{|\}|\|)/g, '');
	      // console.log(_value);
	      if (!this.strict) {
	        this.$emit('input', value);
	      }
	      if (this.isOnComposition || !this.triggerOnFocus && !value) {
	        this.suggestions = [];
	        //return;
	      }
	      this.flag = true;
	      this.getData(value);
	    },
	    handleFocus: function handleFocus() {
	      var _this4 = this;

	      this.activated = true;
	      this.flag = false;

	      if (this.triggerOnFocus) {
	        this.getData(this.value);
	      }
	      var key = this.strict ? this.props.value : this.props.label;
	      this.highlightedIndex = this.itemList.findIndex(function (item) {
	        return item[key] == _this4.value;
	      });
	      this.$refs.input.$refs.input.select();
	      this.$emit('focus');
	    },

	    // 新增光标离开事件
	    handleBlur: function handleBlur() {
	      if (this.flag && this.strict) {
	        if (this.showValue == '') {
	          this.select(null);
	          this.showValue = '';
	        } else if (this.value == '') {
	          this.setInitValue();
	          this.showValue = '';
	        } else {
	          this.setInitValue();
	        }
	      }
	      this.$emit('blur');
	      return;
	    },
	    close: function close(e) {
	      this.activated = false;
	    },
	    handleKeyEnter: function handleKeyEnter(e) {
	      if (this.suggestionVisible && this.highlightedIndex >= 0 && this.highlightedIndex < this.suggestions.length) {
	        //e.preventDefault();
	        this.select(this.suggestions[this.highlightedIndex]);
	      } else if (this.selectWhenUnmatched) {
	        this.select(null);
	        //   this.$nextTick(_ => {
	        //     this.suggestions = [];
	        //     this.highlightedIndex = -1;
	        //   });
	      } else {
	        this.select(null);
	      }

	      if (this.suggestions.length === 1) {
	        this.select(this.suggestions[0]);
	      }
	    },
	    select: function select(item) {
	      var _this5 = this;

	      var showValue = "";
	      //严格模式
	      if (this.strict) {
	        if (item) {
	          this.$emit('input', item[this.props.value]);
	          this.$emit('select', item);
	          showValue = item[this.props.label];
	          if (this.codeShow) {
	            this.showValue = item[this.props.label] + '(' + item[this.props.displayCode] + ')';
	          }
	        } else {
	          this.$emit('input', "");
	          item = {};
	          item[this.props.label] = "";
	          item[this.props.value] = "";
	          this.$emit('select', item);
	          showValue = item[this.props.label];
	          this.showValue = '';
	        }
	      } else {
	        if (item) {
	          this.strictFalseEmit = true;
	          this.$emit('input', item[this.props.label]);
	          this.$emit('select', item);
	          showValue = item[this.props.label];
	          if (this.codeShow) {
	            this.$emit('input', item[this.props.label] + '(' + item[this.props.displayCode] + ')');
	            this.showValue = item[this.props.label] + '(' + item[this.props.displayCode] + ')';
	          }
	        } else {
	          this.$emit('input', this.value);
	          item = {};
	          item[this.props.label] = this.value;
	          item[this.props.value] = this.value;
	          item.input = true;
	          this.$emit('select', item);
	          showValue = this.value;
	        }
	      }
	      // console.log(item)

	      this.$nextTick(function (_) {
	        //this.code = this.value;
	        _this5.flag = false;
	        //   this.suggestions = [];
	        //   this.highlightedIndex = -1;
	        _this5.activated = false;
	        if (!_this5.codeShow) {
	          _this5.showValue = showValue;
	          _this5.strictFalseEmit = false;
	        }
	      });
	    },
	    highlight: function highlight(index) {
	      if (!this.suggestionVisible || this.loading) {
	        return;
	      }
	      if (index < 0) {
	        this.highlightedIndex = -1;
	        return;
	      }
	      if (index >= this.suggestions.length) {
	        index = this.suggestions.length - 1;
	      }
	      var suggestion = this.$refs.suggestions.$el.querySelector('.el-autocomplete-suggestion__wrap');
	      var suggestionList = suggestion.querySelectorAll('.el-autocomplete-suggestion__list li');

	      // let highlightItem = suggestionList[index];
	      // let scrollTop = suggestion.scrollTop;
	      // let offsetTop = highlightItem.offsetTop;
	      // // console.log(suggestion)

	      // if (offsetTop + highlightItem.scrollHeight > (scrollTop + suggestion.clientHeight)) {
	      //   suggestion.scrollTop += highlightItem.scrollHeight;
	      //   // console.log(highlightItem.scrollHeight)
	      // }
	      // if (offsetTop < scrollTop) {
	      //   suggestion.scrollTop -= highlightItem.scrollHeight;
	      // }

	      this.highlightedIndex = index;
	    }
	  },
	  mounted: function mounted() {
	    var _this6 = this;

	    this.$on('item-click', function (item) {
	      _this6.flag = false;
	      _this6.select(item);
	    });
	  },
	  beforeDestroy: function beforeDestroy() {
	    this.$refs.suggestions.$destroy();
	  }
	}; //
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//

/***/ }),
/* 9 */
/***/ (function(module, exports) {

	module.exports = require("wn-tech-ui/lib/input");

/***/ }),
/* 10 */
/***/ (function(module, exports) {

	module.exports = require("wn-tech-ui/lib/utils/clickoutside");

/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(12),
	  /* template */
	  __webpack_require__(18),
	  /* styles */
	  null,
	  /* scopeId */
	  null,
	  /* moduleIdentifier (server only) */
	  null
	)

	module.exports = Component.exports


/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	var _components$mixins$co; //
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//

	var _vuePopper = __webpack_require__(13);

	var _vuePopper2 = _interopRequireDefault(_vuePopper);

	var _emitter = __webpack_require__(14);

	var _emitter2 = _interopRequireDefault(_emitter);

	var _scrollbar = __webpack_require__(15);

	var _scrollbar2 = _interopRequireDefault(_scrollbar);

	var _scrollIntoView = __webpack_require__(16);

	var _scrollIntoView2 = _interopRequireDefault(_scrollIntoView);

	var _vueVirtualScrollList = __webpack_require__(17);

	var _vueVirtualScrollList2 = _interopRequireDefault(_vueVirtualScrollList);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	exports.default = (_components$mixins$co = {
	  components: { ElScrollbar: _scrollbar2.default },
	  mixins: [_vuePopper2.default, _emitter2.default],

	  componentName: 'ElAutocompleteSuggestions',

	  data: function data() {
	    return {
	      parent: this.$parent,
	      dropdownWidth: '',
	      indexx: -1,
	      tobottom: false
	    };
	  }
	}, _components$mixins$co['components'] = { 'virtual-list': _vueVirtualScrollList2.default }, _components$mixins$co.props = {
	  props: Object,
	  suggestions: Array,
	  placement: {
	    default: 'bottom-start'
	  },
	  options: {
	    default: function _default() {
	      return {
	        gpuAcceleration: false
	      };
	    }
	  },
	  scrollIndex: {
	    default: -1
	  }
	}, _components$mixins$co.watch = {
	  scrollIndex: function scrollIndex(val) {
	    var _this = this;

	    if (!this.showPopper) {
	      return;
	    }
	    //滚动到视图内
	    this.$nextTick(function () {
	      _this.indexx = val;
	    });
	    return;
	  }
	}, _components$mixins$co.methods = {
	  select: function select(item) {
	    this.dispatch('ElAutocomplete', 'item-click', item);
	  },
	  scrollToOption: function scrollToOption(option) {

	    var target = Array.isArray(option) && option[0] ? option[0] : option;
	    if (this.parent.customItem) {
	      target = target.$el;
	    }
	    var el = target;

	    if (this.$refs.popper && el) {
	      var menu = this.$refs.popper.querySelector('.el-autocomplete-suggestion__wrap');

	      (0, _scrollIntoView2.default)(menu, el);
	    }
	  }
	}, _components$mixins$co.computed = {
	  /** 数量*/
	  remainNumber: function remainNumber() {
	    if (!this.suggestions) {
	      return 0;
	    }
	    var num = 0;
	    if (this.suggestions.length >= 8) {
	      num = 8;
	    } else {
	      num = this.suggestions.length + 0.5;
	    }

	    return num;
	  }
	}, _components$mixins$co.updated = function updated() {
	  var _this2 = this;

	  this.$nextTick(function (_) {

	    _this2.updatePopper();
	  });
	}, _components$mixins$co.mounted = function mounted() {
	  this.$parent.popperElm = this.popperElm = this.$el;
	  this.referenceElm = this.$parent.$refs.input.$refs.input;
	}, _components$mixins$co.created = function created() {
	  var _this3 = this;

	  this.$on('visible', function (val, inputWidth) {

	    _this3.dropdownWidth = inputWidth;
	    _this3.showPopper = val;
	    _this3.indexx = -1;
	    _this3.$nextTick(function () {

	      //滚动到视图内
	      if (val && _this3.parent.highlightedIndex >= 0) {
	        _this3.indexx = _this3.parent.highlightedIndex;
	      } else if (val && _this3.parent.highlightedIndex < 0) {
	        _this3.indexx = 0;
	      }
	    });
	  });
	}, _components$mixins$co);

/***/ }),
/* 13 */
/***/ (function(module, exports) {

	module.exports = require("wn-tech-ui/lib/utils/vue-popper");

/***/ }),
/* 14 */
/***/ (function(module, exports) {

	module.exports = require("wn-tech-ui/lib/mixins/emitter");

/***/ }),
/* 15 */
/***/ (function(module, exports) {

	module.exports = require("wn-tech-ui/lib/scrollbar");

/***/ }),
/* 16 */
/***/ (function(module, exports) {

	module.exports = require("wn-tech-ui/lib/utils/scroll-into-view");

/***/ }),
/* 17 */
/***/ (function(module, exports) {

	module.exports = require("vue-virtual-scroll-list");

/***/ }),
/* 18 */
/***/ (function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c('transition', {
	    attrs: {
	      "name": "el-zoom-in-top"
	    },
	    on: {
	      "after-leave": _vm.doDestroy
	    }
	  }, [_c('div', {
	    directives: [{
	      name: "show",
	      rawName: "v-show",
	      value: (_vm.showPopper),
	      expression: "showPopper"
	    }],
	    ref: "popper",
	    staticClass: "el-autocomplete-suggestion",
	    class: {
	      'is-loading': _vm.parent.loading
	    },
	    style: ({
	      'min-width': _vm.dropdownWidth + 'px',
	      'max-width': _vm.dropdownWidth * 3 + 'px'
	    })
	  }, [_c('virtual-list', {
	    ref: "vsl",
	    staticClass: "el-autocomplete-suggestion__wrap",
	    attrs: {
	      "size": 35,
	      "remain": _vm.remainNumber,
	      "bench": 24,
	      "start": _vm.indexx,
	      "wclass": "el-autocomplete-suggestion__list",
	      "wtag": "ul"
	    },
	    on: {
	      "tobottom": function($event) {
	        _vm.tobottom = true
	      },
	      "onscroll": function($event) {
	        _vm.tobottom = false
	      }
	    }
	  }, [(_vm.parent.loading) ? _c('li', [_c('i', {
	    staticClass: "el-icon-loading"
	  })]) : _vm._e(), _vm._l((_vm.suggestions), function(item, index) {
	    return [(!_vm.parent.customItem) ? _c('li', {
	      key: index,
	      ref: "selectitem",
	      refInFor: true,
	      class: {
	        'highlighted': _vm.scrollIndex === index
	      },
	      on: {
	        "click": function($event) {
	          _vm.select(item)
	        }
	      }
	    }, [_vm._v("\n                  " + _vm._s(item[_vm.props.label]) + "\n              ")]) : _c(_vm.parent.customItem, {
	      key: index,
	      ref: "selectitem",
	      refInFor: true,
	      tag: "component",
	      class: {
	        'highlighted': _vm.scrollIndex === index
	      },
	      attrs: {
	        "props": _vm.props,
	        "item": item,
	        "index": index
	      },
	      on: {
	        "click": function($event) {
	          _vm.select(item)
	        }
	      }
	    })]
	  })], 2)], 1)])
	},staticRenderFns: []}

/***/ }),
/* 19 */
/***/ (function(module, exports) {

	module.exports = require("throttle-debounce/debounce");

/***/ }),
/* 20 */
/***/ (function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c('div', {
	    directives: [{
	      name: "clickoutside",
	      rawName: "v-clickoutside",
	      value: (_vm.close),
	      expression: "close"
	    }],
	    staticClass: "el-autocomplete"
	  }, [_c('el-input', _vm._b({
	    ref: "input",
	    on: {
	      "change": _vm.debounceHandleChange,
	      "focus": _vm.handleFocus,
	      "blur": _vm.handleBlur
	    },
	    nativeOn: {
	      "compositionstart": function($event) {
	        return _vm.handleComposition($event)
	      },
	      "compositionupdate": function($event) {
	        return _vm.handleComposition($event)
	      },
	      "compositionend": function($event) {
	        return _vm.handleComposition($event)
	      },
	      "keydown": [function($event) {
	        if (!('button' in $event) && _vm._k($event.keyCode, "up", 38, $event.key, ["Up", "ArrowUp"])) { return null; }
	        $event.preventDefault();
	        _vm.highlight(_vm.highlightedIndex - 1)
	      }, function($event) {
	        if (!('button' in $event) && _vm._k($event.keyCode, "down", 40, $event.key, ["Down", "ArrowDown"])) { return null; }
	        $event.preventDefault();
	        _vm.highlight(_vm.highlightedIndex + 1)
	      }, function($event) {
	        if (!('button' in $event) && _vm._k($event.keyCode, "enter", 13, $event.key, "Enter")) { return null; }
	        return _vm.handleKeyEnter($event)
	      }, function($event) {
	        if (!('button' in $event) && _vm._k($event.keyCode, "tab", 9, $event.key, "Tab")) { return null; }
	        return _vm.close($event)
	      }]
	    },
	    model: {
	      value: (_vm.showValue),
	      callback: function($$v) {
	        _vm.showValue = $$v
	      },
	      expression: "showValue"
	    }
	  }, 'el-input', _vm.$props, false), [(_vm.$slots.icon) ? _c('template', {
	    slot: "icon"
	  }, [_vm._t("icon")], 2) : _vm._e(), (_vm.$slots.prepend) ? _c('template', {
	    slot: "prepend"
	  }, [_vm._t("prepend")], 2) : _vm._e(), (_vm.$slots.append) ? _c('template', {
	    slot: "append"
	  }, [_vm._t("append")], 2) : _vm._e()], 2), _c('el-autocomplete-suggestions', _vm._b({
	    ref: "suggestions",
	    class: [_vm.popperClass ? _vm.popperClass : ''],
	    attrs: {
	      "props": _vm.props,
	      "scroll-index": _vm.highlightedIndex,
	      "suggestions": _vm.suggestions
	    }
	  }, 'el-autocomplete-suggestions', _vm.$attrs, false))], 1)
	},staticRenderFns: []}

/***/ })
/******/ ]);